Bug 1479099 - grub2 bootloader launching via HTTP Boot failed with an error of "unaligned pointer" [NEEDINFO]
grub2 bootloader launching via HTTP Boot failed with an error of "unaligned p...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: grub2 (Show other bugs)
7.4
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Peter Jones
Release Test Team
:
Depends On:
Blocks: 1438583 1450449
  Show dependency treegraph
 
Reported: 2017-08-07 20:30 EDT by Neo Cui
Modified: 2017-08-18 10:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jkachuck: needinfo? (pjones)


Attachments (Terms of Use)
failure information (2.66 MB, image/jpeg)
2017-08-07 20:30 EDT, Neo Cui
no flags Details
HTTP Boot server messages log (3.56 MB, text/plain)
2017-08-08 22:13 EDT, Neo Cui
no flags Details
apache2 access log (388 bytes, text/plain)
2017-08-08 22:16 EDT, Neo Cui
no flags Details
apache2 error log (413 bytes, text/plain)
2017-08-08 22:17 EDT, Neo Cui
no flags Details

  None (edit)
Description Neo Cui 2017-08-07 20:30:58 EDT
Created attachment 1310389 [details]
failure information

Description of problem:
HTTP Boot feature failed on RHEL 7.4 GA

Version-Release number of selected component (if applicable):
grub2-efi-x64-2.02-0.64.el7.x86_64.rpm
grub2-efi-x64-cdboot-2.02-0.64.el7.x86_64.rp

How reproducible:


Steps to Reproduce:
1. Set up a HTTP Boot server
2. Use the grubx64.efi in the grub2 rpm package as the NBP.
3. Validate the HTTP Boot function on a server with HTTP Boot function supported.

Actual results:
Failed to start the NBP with an error of "unaligned pointer".

Expected results:
Could boot the NBP and launch the RHEL 7.4 installation via HTTP Boot.

Additional info:
Please check the attachment for the snapshot.
The address of the unaligned pointer changed every time I tried to boot the NBP.
Comment 2 Joseph Kachuck 2017-08-08 12:41:51 EDT
Hello Lenovo,
Please attach the anaconda log from the install. Please also attach any boot log information from the fail boot.

Please also attach the http logs from the https server it is attempting to boot off.

Thank You
Joe Kachuck
Comment 3 Neo Cui 2017-08-08 22:13 EDT
Created attachment 1310977 [details]
HTTP Boot server messages log
Comment 4 Neo Cui 2017-08-08 22:16 EDT
Created attachment 1310978 [details]
apache2 access log
Comment 5 Neo Cui 2017-08-08 22:17 EDT
Created attachment 1310979 [details]
apache2 error log
Comment 6 Neo Cui 2017-08-08 22:21:37 EDT
(In reply to Joseph Kachuck from comment #2)
> Hello Lenovo,
> Please attach the anaconda log from the install. Please also attach any boot
> log information from the fail boot.
> 
> Please also attach the http logs from the https server it is attempting to
> boot off.
> 
> Thank You
> Joe Kachuck

Hi Joe,

I have attached the http server log.
There is no anaconda log and boot log as the HTTP Boot process is blocked at stage 1 (Download and execute grubx64.efi).

--Neo
Comment 7 Neo Cui 2017-08-08 22:26:08 EDT
(In reply to Joseph Kachuck from comment #2)
> Hello Lenovo,
> Please attach the anaconda log from the install. Please also attach any boot
> log information from the fail boot.
> 
> Please also attach the http logs from the https server it is attempting to
> boot off.
> 
> Thank You
> Joe Kachuck

Hi Joe,

Could you provide the detail steps to test the HTTP Boot feature on RHEL 7.4.
I wonder if there is mistakes I made in my test to cause this problem.
Thanks~
--Neo
Comment 10 Joseph Kachuck 2017-08-18 10:38:07 EDT
Hello Lenovo,
My understanding is Engineering is looking at this issue with Intel. I have no further updates at this time. I will let you know when I have additional updates.

Thank You
Joe Kachuck

Note You need to log in before you can comment on or make changes to this bug.